﻿using UnityEngine;
using System.Collections;
    public class Click : MonoBehaviour
    {
        public delegate void VoidDelegate(GameObject go);
        public VoidDelegate onClick;
        public delegate void VoidDelegatePress(GameObject go, bool isPressed);
        public VoidDelegatePress onPress;
        void OnClick()
        {
            if (onClick != null)
            {
                onClick(gameObject);
            }
        }
        void OnPress(bool isPressed)
        {
            if (onPress != null)
            {
                onPress(gameObject, isPressed);
            }
        }

        public static void setPress(GameObject button, VoidDelegatePress onPress)
        {
            get(button).onPress = onPress;
        }

        public static void set(GameObject button, VoidDelegate onClick)
        {
                get(button).onClick = onClick;
        }

        public static Click get(GameObject go)
        {
            return go.AddComponent<Click>();
        }

    }